@font-face
{
  font-family: 'LBRegular';
  src: url('../assets/fonts/LibreBaskerville-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face
{
  font-family: 'LBBold';
  src: url('assets/fonts/LibreBaskerville-Bold.ttf') format('truetype');
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

*{
  color: rgb(255, 255, 255);
  font-family: 'LBRegular';
}

body{
  background-color: rgb(0, 0, 0);
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  margin: 0;
  max-width: 100%;
  overflow-x: hidden;

  cursor: url('assets/mouse.png'), auto;
}

a:hover, button:hover, iframe:hover {
  cursor: url('assets/mouse_hover.png'), auto;
}

img {
  max-width: 100%;
  height: auto;
}

.sticky-icon
{
  position: absolute;
  top: 1.5rem;
  left: 1.5rem;
  z-index: 100;
  width: 200px;
  height: auto;
}

.sticky-icon img
{
  display: block;
}

.landing{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100vh;
  margin: 0px;
}

.header{
  display: flex;
  flex-direction: column;
  justify-content:center;
  align-items: center;
}

.title{
  display: flex;
  flex-direction: column;
  justify-content:center;
  align-items: center;
  pointer-events: none;
}

.title img
{
  width: 45vh;
  height: auto;
  display: block;
}

.links
{
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  max-width: 30vh;
  min-width: 30vh;
  width: 100%;
  margin: 1vh;
}

.links a
{
  flex: 1;
  min-width: 0;
  padding: 10px;
  transition: all 0.1s ease;
  opacity: 0.75;
}

.links a:hover
{
  scale: 1.25;
  opacity: 1;
}

.links img
{
  width: 100%;
  height: auto;
  display: block;
}

.games
{
  display: flex;
  flex-direction: row;
}

.transmit-desc
{
  display: flex;
  flex-direction: column;
  margin-left: 1vh;
  margin-bottom: 2vh;
  justify-content: space-between;
  flex-shrink: 1;
  width: 100%;
}

.transmit-banner
{
  width: 50vw;
  height:32vh;
  object-fit: cover;
  margin: 10px;
  flex-shrink: 0;
}

.transmit-sub
{
  font-weight: bold;
  font-size: 1.2vw;
  margin:0px;
  padding-top: 1px
}

.transmit-logo
{
  width: 20vw;
  height: auto;
}

.transmit-buttons
{
  padding-right: 1vh;
}

button
{
  background-color: black;
  margin-top: 1vh;
  padding: 1vh;
  font-size: 3.5vh;
  border: 1px solid white;
  transition: all 0.3s ease;
  display: block;
  justify-content: center;
  align-items: center;
  width: 100%;
}

button:hover
{
  background-color: white;
  color: black; }

.wishlist
{
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding 8px 16px;
  cursor: pointer;

}

.wishlist:hover img
{
  filter: invert(100%);
}

@media (max-width: 850px) 
{
  .sticky-icon
  {
    top: 1rem;
    left: 1rem;
  }

  .sticky-icon img
  {
    max-width: 10vh;
  }

  .title img{
    max-width: 45vh;
    width: 80%;
  }

  .games
  {
    display: flex;
    flex-direction: column;
    margin-top: auto;
    max-width: 95vw;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
  }

  .transmit-banner
  {
    width: 100%;
    height: 35%;
    align-self: center;
  }

  .transmit-sub
  {
    font-size: 2vh;
  }

  .transmit-logo
  {
    width: 50%;
  }

  .transmit-buttons button
  {
    font-size: 2vh;
  }
}
